## org.eclipse.datatools.connectivity.oda.design
Enum SessionStatus

    java.lang.Object
      java.lang.Enum<SessionStatus>
          org.eclipse.datatools.connectivity.oda.design.SessionStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SessionStatus>, org.eclipse.emf.common.util.Enumerator

    public enum SessionStatus

extends java.lang.Enum<SessionStatus>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Session Status', and utility methods for working with them. Indicates to ODA host designer on how to proceed after an ODA design session exits.

See Also:
  `DesignPackage.getSessionStatus()`

Enum Constant Summary
`ERROR_LITERAL` The 'Error' literal object.
`LOGIN_FAILED_LITERAL` The 'Login Failed' literal object.
`OK_LITERAL` The 'Ok' literal object.
`USER_CANCELLED_LITERAL` The 'User Cancelled' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `ERROR` The 'Error' literal value.
`static int` `LOGIN_FAILED` The 'Login Failed' literal value.
`static int` `OK` The 'Ok' literal value.
`static int` `USER_CANCELLED` The 'User Cancelled' literal value.
`static java.util.List<SessionStatus>` `VALUES` A public read-only list of all the 'Session Status' enumerators.

Method Summary
`static SessionStatus` `get(int value)` Returns the 'Session Status' literal with the specified integer value.
`static SessionStatus` `get(java.lang.String literal)` Returns the 'Session Status' literal with the specified literal value.
`static SessionStatus` `getByName(java.lang.String name)` Returns the 'Session Status' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SessionStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SessionStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK_LITERAL

    public static final SessionStatus OK_LITERAL

  The 'Ok' literal object.

  See Also:
    `OK`

### USER_CANCELLED_LITERAL

    public static final SessionStatus USER_CANCELLED_LITERAL

  The 'User Cancelled' literal object.

  See Also:
    `USER_CANCELLED`

### LOGIN_FAILED_LITERAL

    public static final SessionStatus LOGIN_FAILED_LITERAL

  The 'Login Failed' literal object.

  See Also:
    `LOGIN_FAILED`

### ERROR_LITERAL

    public static final SessionStatus ERROR_LITERAL

  The 'Error' literal object.

  See Also:
    `ERROR`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### OK

    public static final int OK

  The 'Ok' literal value.

  See Also:
    `OK_LITERAL`, Constant Field Values

### USER_CANCELLED

    public static final int USER_CANCELLED

  The 'User Cancelled' literal value.

  See Also:
    `USER_CANCELLED_LITERAL`, Constant Field Values

### LOGIN_FAILED

    public static final int LOGIN_FAILED

  The 'Login Failed' literal value.

  See Also:
    `LOGIN_FAILED_LITERAL`, Constant Field Values

### ERROR

    public static final int ERROR

  The 'Error' literal value.

  See Also:
    `ERROR_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<SessionStatus> VALUES

  A public read-only list of all the 'Session Status' enumerators.

Method Detail

### values

    public static final SessionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SessionStatus c : SessionStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SessionStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static SessionStatus get(java.lang.String literal)

  Returns the 'Session Status' literal with the specified literal value.

### getByName

    public static SessionStatus getByName(java.lang.String name)

  Returns the 'Session Status' literal with the specified name.

### get

    public static SessionStatus get(int value)

  Returns the 'Session Status' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SessionStatus>`